ItemEvents.tooltip((event) => {
    //尤卡坦的呼唤  
    event.add('call_of_yucutan:mayan_calendar', [
        Text.of("手持右击显示是否可以上供").gray()
    ])
    event.add('call_of_yucutan:ah_puch_idol', [
        Text.of("赐予阿普奇的祝福").gray(),
        Text.of("新月时可以上供").gray()
    ])
    event.add('call_of_yucutan:kukulkan_idol', [
        Text.of("赐予库库尔坎的祝福").gray(),
        Text.of("满月时可以上供").gray()
    ])
    event.add('call_of_yucutan:sentient_vine', [
        Text.of("使用时，自动变形为剑，斧，镐，铲，锄").green()
    ])
    event.add('call_of_yucutan:xocolatl', [
        Text.of("库库尔坎的祝福/阿普奇的祝福延长 30 分钟").green()
    ])
    event.addAdvanced([
        "call_of_yucutan:jades_helmet",
        "call_of_yucutan:jades_chestplate",
        "call_of_yucutan:jades_leggings",
        "call_of_yucutan:jades_boots",
    ], (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看套装效果 -"))
        if (event.shift) {
            text.add(2, Text.green("免疫中毒"))
            text.add(3, Text.green("免疫凋零"))
        }
    })
    event.add([
        "call_of_yucutan:warrior_helmet",
        "call_of_yucutan:huracan_helmet",
        "call_of_yucutan:monkey_helmet",
    ], [
        Text.of("可视为玉套装组件").yellow()
    ])
    event.add('call_of_yucutan:jade_amulet', [
        Text.of("幸运+1").green(),
    ])
    event.add('call_of_yucutan:blow_gun', [
        Text.of("使用毒镖作为弹药").gray()
    ])
    event.add('call_of_yucutan:fist_of_doom', [
        Text.of("右键地面对周围所有目标造成伤害").green(),
        Text.of("阿普奇的祝福会提升此伤害").green(),
        Text.of("使用后需等待充能").gray(),
    ])
    event.add('call_of_yucutan:wand_of_radiance', [
        Text.of("发射日光射线").green(),
        Text.of("使用后需等待充能").gray(),
    ])
    event.add('call_of_yucutan:solar_projector', [
        Text.of("持续向当前所在方向发射日光射线").gray(),
    ])
    event.add('call_of_yucutan:reflector', [
        Text.of("右键或者输入红石信号改变射入的日光射线方向").gray(),
    ])
    event.add('call_of_yucutan:hematite_block', [
        Text.of("沿着摆放位置改变射入的日光射线方向").gray(),
    ])
    event.add('call_of_yucutan:hematite_shield', [
        Text.of("防御时改变射入的日光射线方向").green(),
    ])
    //生于混沌
    event.add([
        "born_in_chaos_v1:sea_terror_stomach",
        "born_in_chaos_v1:krampuss_bag",
        "born_in_chaos_v1:bagof_candy",
    ], [
        Text.of("手持右击打开").gray()
    ])
    event.add([
        "born_in_chaos_v1:fel_lamp",
        "born_in_chaos_v1:lord_pumpkinheads_lamp",
    ], [
        Text.of("手持右击方块召唤一匹坐骑").green()
    ])
    event.add([
        "born_in_chaos_v1:empty_fel_lamp",
        "born_in_chaos_v1:lord_pumpkinheads_empty_lamp",
    ], [
        Text.of("下蹲右击对应坐骑可以储存它").green()
    ])
    event.add('born_in_chaos_v1:bone_heart', [
        Text.of("手持右击获得防御一次攻击的屏障").green()
    ])
    event.add('born_in_chaos_v1:dark_atrium', [
        Text.of("手持右击获得免疫一次死亡的屏障").green()
    ])
    event.add('born_in_chaos_v1:sea_terror_eye', [
        Text.of("食用回复氧气值").green()
    ])
    event.add('born_in_chaos_v1:mint_candy', [
        Text.of("食用移除腐烂和饥饿效果").green()
    ])
    event.add('born_in_chaos_v1:mint_ice_cream', [
        Text.of("食用扑灭火焰").green()
    ])
    event.add('born_in_chaos_v1:eternal_candy', [
        Text.of("无尽食物").green(),
        Text.of("食用获得随机状态").green()
    ])
    event.add('born_in_chaos_v1:spiritual_gingerbread', [
        Text.of("移除所有效果").gray(),
        Text.of("食用+3顽皮值").gray(),
    ])
    event.add('born_in_chaos_v1:creepy_cookies_with_milk', [
        Text.of("移除所有效果").gray(),
        Text.of("食用-3顽皮值").gray(),
    ])
    event.add('born_in_chaos_v1:evilometer', [
        Text.of("手持右击查看顽皮值").gray(),
        Text.of("顽皮值大于90时，获得力量+1").green(),
        Text.of("过高的顽皮值可能召唤一些怪物").green()
    ])
    event.addAdvanced([
        "born_in_chaos_v1:dark_metal_armor_helmet",
        "born_in_chaos_v1:dark_metal_armor_chestplate",
        "born_in_chaos_v1:dark_metal_armor_leggings",
        "born_in_chaos_v1:dark_metal_armor_boots",
    ], (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看套装效果 -"))
        if (event.shift) {
            text.add(2, Text.white("生命值低于6时"))
            text.add(3, Text.green("暴怒+5"))
            text.add(4, Text.red("饥饿+3"))
        }
    })
    event.addAdvanced([
        "born_in_chaos_v1:nightmare_mantleofthe_night_helmet",
        "born_in_chaos_v1:nightmare_mantleofthe_night_chestplate",
        "born_in_chaos_v1:nightmare_mantleofthe_night_leggings",
        "born_in_chaos_v1:nightmare_mantleofthe_night_boots",
    ], (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看套装效果 -"))
        if (event.shift) {
            text.add(2, Text.white("夜晚时"))
            text.add(3, Text.green("速度+2"))
            text.add(4, Text.green("部分武器效果强化"))
        }
    })
    event.addAdvanced([
        "born_in_chaos_v1:spiny_shell_armor_helmet",
        "born_in_chaos_v1:spiny_shell_armor_chestplate",
    ], (item, advanced, text) => {
        text.add(1, Text.green("荆棘反伤"))
        text.add(2, Text.gray("- 按§2Shift§r查看套装效果 -"))
        if (event.shift) {
            text.add(3, Text.green("荆棘反伤强化"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:damned_demomans_hat_helmet", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.red("绑定诅咒"))
            text.add(3, Text.red("贫血自爆"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:spiritual_guide_sombrero_helmet", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("强化骷髅法杖召唤的小骷髅"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:lord_pumpkinheads_hat_helmet", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("抗火"))
            text.add(3, Text.green("使攻击者获得狱火"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:missionary_hat_helmet", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("被攻击时召唤一只小骷髅"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:pumpkinstaffa", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.white("使用南瓜种子射击"))
            text.add(3, Text.white("长按蓄力"))
            text.add(4, Text.green("命中方块召唤南瓜先生"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:soul_cutlass", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("命中施加灵魂剥离"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:bonescaller_staff", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("右键召唤两个小骷髅"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:great_reaper_axe", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("杀死目标获得暴怒"))
            text.add(3, Text.green("连续击杀增强暴怒"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:skullbreaker_hammer", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("跳跃攻击施加晕眩"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:sharpened_dark_metal_sword", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("对亡灵增加伤害"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:dark_ritual_dagger", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.rde("右键献祭动物或者自己的召唤物"))
            text.add(3, Text.green("然后获得强化效果"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:staff_of_magic_arrows", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.white("右键射击"))
            text.add(3, Text.green("消耗灵魂尘增强伤害"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:intoxicating_dagger", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("命中施加各种毒素效果"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:nightmare_scythe", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("命中施加各失明和凋零"))
            text.add(3, Text.green("自身获得生命恢复"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:spiritual_sword", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("对幽灵增加伤害"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:pumpkinhandgun", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.white("消耗南瓜子弹射击"))
            text.add(3, Text.green("命中施加狱火"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:darkwarblade", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.red("没有力量效果时，获得虚弱和缓慢"))
            text.add(3, Text.green("拥有力量效果时，攻击施加骨折和方块破碎"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:soulbane", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("命中施加狱火和灵魂剥离"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:shell_mace", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("在水中攻击水中的敌人伤害加强"))
            text.add(3, Text.green("并施加尖刺攻击效果"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:death_totem", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("免疫死亡"))
            text.add(3, Text.green("触发效果后获得生命恢复，力量"))
            text.add(4, Text.red("并降低饥饿值"))
        }
    })
    event.addAdvanced("born_in_chaos_v1:frostbitten_blade", (item, advanced, text) => {
        text.add(1, Text.gray("- 按§2Shift§r查看效果 -"))
        if (event.shift) {
            text.add(2, Text.green("施加刺寒入骨效果"))
        }
    })
})
